Instalar Autocad 2007 Playonlinux

Olá amigos.

Venho tirar uma duvida: trabalho com CAD e estou migrando para o Ubuntu e o meu único empecilho neste momento é um software CAD com uma boa interface para a plataforma, como não consegui me adaptar a nenhum estou tentando instalar ou Autocad 2007. \bem, estou usando playonlinux para a instalação, porém no momento da instalação aparece que o instalador não encontrou o netframework (conforme imagem). No proprio playonlinux selecionei a opção “instalar bibliotecas”, mas mesmo após isso não consigo instalar. Alguém poderia me ajudar?

2 Curtidas

@Jofran_L,
Será preciso um pouco de paciência para resolver todas as dependências, mas usando o tutorial a seguir para instalar o aplicativo usando o Lutris, que fornece ferramentas para instalar essas dependências, provavelmente será mais fácil de resolver.

No “capítulo” 2 do tutorial é explicado como usar o “Winetricks” para instalar fontes e bibliotecas. Então, primeiramente você cria o “ambiente” do aplicativo como mostrado nos tópicos anteriores do tutorial, e depois executa o Winetricks para instalar as dependências exigidas pelo programa. Não tem problema de fazer o procedimento mais de uma vez se for necessário, mesmo depois que o programa estiver instalado (pois pode ser que alguma coisa seja necessário só depois da instalação).

Por exemplo, para resolver esse erro do .NET deve-se instalar alguma das DLLs “dotnet”. De acordo com este site da própria AutoDesk, a versão exigida é a 3.5. Então é só selecionar a opção dotnet35 (ou a dotnet35sp1, se quiser um pouco mais atualizado) e clicar em OK (no painel do Winetricks).

Há algum tempo atrás eu consegui instalar o AutoCAD 2008 usando o PlayOnLinux e foi bem tranquilo depois que selecionei a opção de instalar as dependências necessárias. Agora estou migrando para o LibreCAD e nem lembro mais como eu fiz. Vou tentar fazer novamente aqui e volto a responder.

Muito obrigado a voces pela ajuda. Segui o tutorial indicado até o momento que me aparece a seguinte mensagem após selecionar o dotnet35

You are using a 64-bit WINEPREFIX. Note that many verbs only install 32-bit versions of packages. If you encounter problems, please retest in a clean 32-bit WINEPREFIX before reporting a bug.

Após isso tento continuar a instalação e vem essa outra mensagem

dotnet35 does not yet fully work or install on wine. Caveat emptor.

Running /usr/bin/wineserver -w. This will hang until all wine processes in prefix=/home/isa/.wine terminate

Muito provavelmente o programa é inteiro em 32bits, então é realmente melhor criar o prefixo como 32bits. Existe alguma indicação no nome do arquivo do instalador? Algo como “32bit” ou “64bit”?
Para usar apenas a arquitetura 32bits, remova completamente o programa (verifique se o diretório usado para criar o prefixo foi removido também), e depois crie novamente escolhendo a opção “32-bit” em “Prefix architecture”. Me desculpa não ter avisá-lo disso antes.

Sobre o .NET 3.5, eu acabei de testar usando o “dotnet25sp1” e instalou sem nenhum erro ou aviso. Mas qualquer coisa pode tentar usar alguma versão do .NET 4.0.

Peço desculpas pela demora em responder, mas estava sem computador. Infelizmente nao consegui de forma alguma instalar o aplicativo mesmo seguindo todos os procedimentos.

Vou aproveitar o tópico para tirar uma duvida também referente ao Playonlinux. Instalei o office 2010 e correu tudo bem, mas preciso que os arquivos do word e excel sejam associados para abrirem de forma automática pelo lançador, ou seja, ao dar dois cliques em um .docx e ele já abre o word direto. Há como fazer isso?
A segunda dúvida é que criei um atalho na área de trabalho para o word, mas ao clicar o programa não é aberto, bem como o ícone não aparece.

[Desktop Entry]
Encoding=UTF-8
Name=WORD
Comment=PlayOnLinux
Type=Application
Exec=/usr/share/playonlinux/playonlinux --run "WORD" %F
Icon=/home/jofran/.PlayOnLinux/icones/full_size/WORD.png
Name[fr_FR]=WORD
StartupWMClass=WINWORD.EXE
Categories=